summaryrefslogtreecommitdiffstats
path: root/contrib/pjdfstest/tests/rmdir/13.t
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/pjdfstest/tests/rmdir/13.t')
-rw-r--r--contrib/pjdfstest/tests/rmdir/13.t22
1 files changed, 22 insertions, 0 deletions
diff --git a/contrib/pjdfstest/tests/rmdir/13.t b/contrib/pjdfstest/tests/rmdir/13.t
new file mode 100644
index 0000000..4a1a885
--- /dev/null
+++ b/contrib/pjdfstest/tests/rmdir/13.t
@@ -0,0 +1,22 @@
+#!/bin/sh
+# $FreeBSD: head/tools/regression/pjdfstest/tests/rmdir/13.t 211352 2010-08-15 21:24:17Z pjd $
+
+desc="rmdir returns EBUSY if the directory to be removed is the mount point for a mounted file system"
+
+dir=`dirname $0`
+. ${dir}/../misc.sh
+
+[ "${os}" = "FreeBSD" ] || quick_exit
+
+echo "1..3"
+
+n0=`namegen`
+
+expect 0 mkdir ${n0} 0755
+n=`mdconfig -a -n -t malloc -s 1m` || exit
+newfs /dev/md${n} >/dev/null || exit
+mount /dev/md${n} ${n0} || exit
+expect EBUSY rmdir ${n0}
+umount /dev/md${n}
+mdconfig -d -u ${n} || exit
+expect 0 rmdir ${n0}
OpenPOWER on IntegriCloud